Skip to content

Preauth

POST
/api/tpm/tpm/preauth
curl --request POST \
--url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/tpm/tpm/preauth \
--header 'Authorization: <Authorization>' \
--header 'Content-Type: application/json' \
--data '{ "api_key": "example", "device": { "name": "example", "serial": "example", "vendor": "example", "version": "example" } }'

Pre-flight auth checks before calling the Provision API.

Examples of this operation.

Media typeapplication/json
Preauth TPM Provisioning Request

PreauthRequest defines parameters required for pre-flight auth checks before using the TPM Provisioning API key.

object
api_key
TPM Provisioning Client API Key

API Key allocated to TPM Provisioning (manufacturing) user Required: YES.

string
<= 1024 characters
device
object
name
Device Name

Device Name Required: YES.

string
>= 6 characters <= 1024 characters
serial
Serial Number of the device

Serial Number Required: YES.

string
<= 1024 characters
vendor
Device Vendor

Device Vendor Required: YES.

string
<= 1024 characters
version
Device Version

Device Version Required: YES.

string
>= 1 characters <= 1024 characters
Examplegenerated
{
"api_key": "example",
"device": {
"name": "example",
"serial": "example",
"vendor": "example",
"version": "example"
}
}

A successful response.

Media typeapplication/json
Preauth TPM Provisioning Response

PreauthResponse defines the preauthorization response.

object
status
string
default: PREAUTH_RSP_SUCCESS
Allowed values: PREAUTH_RSP_SUCCESS PREAUTH_RSP_INVALID_API_KEY PREAUTH_RSP_INVALID_DEVICE_INFO
Example
{
"status": "PREAUTH_RSP_SUCCESS"
}

Returned when operation is not authorized.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when there is no permission to access resource.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when resource is not found.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation on resource is conflicting with current value.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation has been rejected as it is happening too frequently.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server encountered an error in processing API.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when service is unavailable temporarily.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server timed out processing request.

Media typeapplication/json
string format: string
Examplegenerated
example